﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;
using IGDocumentation;

namespace XamDataTreeDemo
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            XamDataTree MyTree = new XamDataTree();
            LayoutRoot.Children.Add(MyTree);

            MyTree.ItemsSource = DataUtil.CategoriesAndProducts;

            NodeLayout mylayout = new NodeLayout();
            mylayout.Key = "CategoryLayout";
            mylayout.TargetTypeName = "Category";
            mylayout.DisplayMemberPath = "CategoryName";

            NodeLayout mylayout2 = new NodeLayout();
            mylayout2.Key = "ProductLayout";
            mylayout2.TargetTypeName = "Product";
            mylayout2.DisplayMemberPath = "ProductName";

            MyTree.GlobalNodeLayouts.Add(mylayout);
            MyTree.GlobalNodeLayouts.Add(mylayout2);

            MyTree.CheckBoxSettings.CheckBoxVisibility = System.Windows.Visibility.Visible;
        }
    }
}
